---
lang: en
title: 'API docs: authentication.authenticationstrategyprovider'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/authentication
permalink: /doc/en/lb4/apidocs.authentication.authenticationstrategyprovider.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/authentication](./authentication.md) &gt; [AuthenticationStrategyProvider](./authentication.authenticationstrategyprovider.md)

## AuthenticationStrategyProvider class

An authentication strategy provider responsible for resolving an authentication strategy by name.

It declares an extension point to which all authentication strategy implementations must register themselves as extensions.

<b>Signature:</b>

```typescript
export declare class AuthenticationStrategyProvider implements Provider<AuthenticationStrategy[] | undefined> 
```
<b>Implements:</b> [Provider](./context.provider.md)<!-- -->&lt;[AuthenticationStrategy](./authentication.authenticationstrategy.md)

## Example

`context.bind('authentication.strategy').toProvider(AuthenticationStrategyProvider)`

## Constructors

|  Constructor | Modifiers | Description |
|  --- | --- | --- |
|  [(constructor)(authenticationStrategies, metadata)](./authentication.authenticationstrategyprovider._constructor_.md) |  | Constructs a new instance of the <code>AuthenticationStrategyProvider</code> class |

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [authenticationStrategies](./authentication.authenticationstrategyprovider.authenticationstrategies.md) |  | [Getter](./context.getter.md)<!-- -->&lt;[AuthenticationStrategy](./authentication.authenticationstrategy.md)<!-- -->\[\]&gt; |  |
|  [metadata?](./authentication.authenticationstrategyprovider.metadata.md) |  | [AuthenticationMetadata](./authentication.authenticationmetadata.md)<!-- -->\[\] \| undefined | <i>(Optional)</i> |

## Methods

|  Method | Modifiers | Description |
|  --- | --- | --- |
|  [value()](./authentication.authenticationstrategyprovider.value.md) |  |  |


